diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/widgets.php ./wordpress-3.3/wp-includes/widgets.php
*** ./wordpress-3.2.1/wp-includes/widgets.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/widgets.php	2011-11-26 00:16:43.000000000 -0600
***************
*** 139,145 ****
  		}
  
  		if ( $empty ) {
! 			// If there are none, we register the widget's existance with a
  			// generic template
  			$this->_set(1);
  			$this->_register_one();
--- 139,145 ----
  		}
  
  		if ( $empty ) {
! 			// If there are none, we register the widget's existence with a
  			// generic template
  			$this->_set(1);
  			$this->_register_one();
***************
*** 296,303 ****
  		if ( !is_array($settings) )
  			$settings = array();
  
! 		if ( !array_key_exists('_multiwidget', $settings) ) {
! 			// old format, conver if single widget
  			$settings = wp_convert_widget_settings($this->id_base, $this->option_name, $settings);
  		}
  
--- 296,303 ----
  		if ( !is_array($settings) )
  			$settings = array();
  
! 		if ( !empty($settings) && !array_key_exists('_multiwidget', $settings) ) {
! 			// old format, convert if single widget
  			$settings = wp_convert_widget_settings($this->id_base, $this->option_name, $settings);
  		}
  
***************
*** 321,327 ****
  	}
  
  	function register($widget_class) {
! 		$this->widgets[$widget_class] = & new $widget_class();
  	}
  
  	function unregister($widget_class) {
--- 321,327 ----
  	}
  
  	function register($widget_class) {
! 		$this->widgets[$widget_class] = new $widget_class();
  	}
  
  	function unregister($widget_class) {
***************
*** 385,391 ****
  /**
   * Private
   */
!  $_wp_deprecated_widgets_callbacks = array(
   	'wp_widget_pages',
  	'wp_widget_pages_control',
  	'wp_widget_calendar',
--- 385,391 ----
  /**
   * Private
   */
!  $GLOBALS['_wp_deprecated_widgets_callbacks'] = array(
   	'wp_widget_pages',
  	'wp_widget_pages_control',
  	'wp_widget_calendar',
***************
*** 461,467 ****
   * The default for the name is "Sidebar #", with '#' being replaced with the
   * number the sidebar is currently when greater than one. If first sidebar, the
   * name will be just "Sidebar". The default for id is "sidebar-" followed by the
!  * number the sidebar creation is currently at. If the id is provided, and mutliple
   * sidebars are being defined, the id will have "-2" appended, and so on.
   *
   * @since 2.2.0
--- 461,467 ----
   * The default for the name is "Sidebar #", with '#' being replaced with the
   * number the sidebar is currently when greater than one. If first sidebar, the
   * name will be just "Sidebar". The default for id is "sidebar-" followed by the
!  * number the sidebar creation is currently at. If the id is provided, and multiple
   * sidebars are being defined, the id will have "-2" appended, and so on.
   *
   * @since 2.2.0
***************
*** 547,552 ****
--- 547,553 ----
  		'name' => sprintf(__('Sidebar %d'), $i ),
  		'id' => "sidebar-$i",
  		'description' => '',
+ 		'class' => '',
  		'before_widget' => '<li id="%1$s" class="widget %2$s">',
  		'after_widget' => "</li>\n",
  		'before_title' => '<h2 class="widgettitle">',
***************
*** 997,1003 ****
  	if ( $deprecated !== true )
  		_deprecated_argument( __FUNCTION__, '2.8.1' );
  
! 	global $wp_registered_widgets, $wp_registered_sidebars, $_wp_sidebars_widgets;
  
  	// If loading from front page, consult $_wp_sidebars_widgets rather than options
  	// to see if wp_convert_widget_settings() has made manipulations in memory.
--- 998,1004 ----
  	if ( $deprecated !== true )
  		_deprecated_argument( __FUNCTION__, '2.8.1' );
  
! 	global $wp_registered_widgets, $_wp_sidebars_widgets, $sidebars_widgets;
  
  	// If loading from front page, consult $_wp_sidebars_widgets rather than options
  	// to see if wp_convert_widget_settings() has made manipulations in memory.
***************
*** 1008,1085 ****
  		$sidebars_widgets = $_wp_sidebars_widgets;
  	} else {
  		$sidebars_widgets = get_option('sidebars_widgets', array());
- 		$_sidebars_widgets = array();
- 
- 		if ( isset($sidebars_widgets['wp_inactive_widgets']) || empty($sidebars_widgets) )
- 			$sidebars_widgets['array_version'] = 3;
- 		elseif ( !isset($sidebars_widgets['array_version']) )
- 			$sidebars_widgets['array_version'] = 1;
- 
- 		switch ( $sidebars_widgets['array_version'] ) {
- 			case 1 :
- 				foreach ( (array) $sidebars_widgets as $index => $sidebar )
- 				if ( is_array($sidebar) )
- 				foreach ( (array) $sidebar as $i => $name ) {
- 					$id = strtolower($name);
- 					if ( isset($wp_registered_widgets[$id]) ) {
- 						$_sidebars_widgets[$index][$i] = $id;
- 						continue;
- 					}
- 					$id = sanitize_title($name);
- 					if ( isset($wp_registered_widgets[$id]) ) {
- 						$_sidebars_widgets[$index][$i] = $id;
- 						continue;
- 					}
- 
- 					$found = false;
- 
- 					foreach ( $wp_registered_widgets as $widget_id => $widget ) {
- 						if ( strtolower($widget['name']) == strtolower($name) ) {
- 							$_sidebars_widgets[$index][$i] = $widget['id'];
- 							$found = true;
- 							break;
- 						} elseif ( sanitize_title($widget['name']) == sanitize_title($name) ) {
- 							$_sidebars_widgets[$index][$i] = $widget['id'];
- 							$found = true;
- 							break;
- 						}
- 					}
- 
- 					if ( $found )
- 						continue;
- 
- 					unset($_sidebars_widgets[$index][$i]);
- 				}
- 				$_sidebars_widgets['array_version'] = 2;
- 				$sidebars_widgets = $_sidebars_widgets;
- 				unset($_sidebars_widgets);
- 
- 			case 2 :
- 				$sidebars = array_keys( $wp_registered_sidebars );
- 				if ( !empty( $sidebars ) ) {
- 					// Move the known-good ones first
- 					foreach ( (array) $sidebars as $id ) {
- 						if ( array_key_exists( $id, $sidebars_widgets ) ) {
- 							$_sidebars_widgets[$id] = $sidebars_widgets[$id];
- 							unset($sidebars_widgets[$id], $sidebars[$id]);
- 						}
- 					}
- 
- 					// move the rest to wp_inactive_widgets
- 					if ( !isset($_sidebars_widgets['wp_inactive_widgets']) )
- 						$_sidebars_widgets['wp_inactive_widgets'] = array();
- 
- 					if ( !empty($sidebars_widgets) ) {
- 						foreach ( $sidebars_widgets as $lost => $val ) {
- 							if ( is_array($val) )
- 								$_sidebars_widgets['wp_inactive_widgets'] = array_merge( (array) $_sidebars_widgets['wp_inactive_widgets'], $val );
- 						}
- 					}
- 
- 					$sidebars_widgets = $_sidebars_widgets;
- 					unset($_sidebars_widgets);
- 				}
- 		}
  	}
  
  	if ( is_array( $sidebars_widgets ) && isset($sidebars_widgets['array_version']) )
--- 1009,1014 ----
***************
*** 1197,1204 ****
  	if ( !is_a($widget_obj, 'WP_Widget') )
  		return;
  
! 	$before_widget = sprintf('<div class="widget %s">', $widget_obj->widget_options['classname']);
! 	$default_args = array('before_widget' => $before_widget, 'after_widget' => "</div>", 'before_title' => '<h2 class="widgettitle">', 'after_title' => '</h2>');
  
  	$args = wp_parse_args($args, $default_args);
  	$instance = wp_parse_args($instance);
--- 1126,1133 ----
  	if ( !is_a($widget_obj, 'WP_Widget') )
  		return;
  
! 	$before_widget = sprintf('<div class="widget %s">', $widget_obj->widget_options['classname'] );
! 	$default_args = array( 'before_widget' => $before_widget, 'after_widget' => "</div>", 'before_title' => '<h2 class="widgettitle">', 'after_title' => '</h2>' );
  
  	$args = wp_parse_args($args, $default_args);
  	$instance = wp_parse_args($instance);
***************
*** 1215,1217 ****
--- 1144,1260 ----
  function _get_widget_id_base($id) {
  	return preg_replace( '/-[0-9]+$/', '', $id );
  }
+ 
+ /**
+  * Handle sidebars config after theme change
+  *
+  * @access private
+  * @since 3.3
+  */
+ function _wp_sidebars_changed() {
+ 	global $sidebars_widgets;
+ 
+ 	if ( ! is_array( $sidebars_widgets ) )
+ 		$sidebars_widgets = wp_get_sidebars_widgets();
+ 
+ 	retrieve_widgets(true);
+ }
+ 
+ // look for "lost" widgets, this has to run at least on each theme change
+ function retrieve_widgets($theme_changed = false) {
+ 	global $wp_registered_widget_updates, $wp_registered_sidebars, $sidebars_widgets, $wp_registered_widgets;
+ 
+ 	$registered_sidebar_keys = array_keys( $wp_registered_sidebars );
+ 	$orphaned = 0;
+ 
+ 	$old_sidebars_widgets = get_theme_mod( 'sidebars_widgets' );
+ 	if ( is_array( $old_sidebars_widgets ) ) {
+ 		// time() that sidebars were stored is in $old_sidebars_widgets['time']
+ 		$_sidebars_widgets = $old_sidebars_widgets['data'];
+ 		remove_theme_mod( 'sidebars_widgets' );
+ 
+ 		foreach ( $_sidebars_widgets as $sidebar => $widgets ) {
+ 			if ( 'wp_inactive_widgets' == $sidebar || 'orphaned_widgets' == substr( $sidebar, 0, 16 ) )
+ 				continue;
+ 
+ 			if ( !in_array( $sidebar, $registered_sidebar_keys ) ) {
+ 				$_sidebars_widgets['orphaned_widgets_' . ++$orphaned] = $widgets;
+ 				unset( $_sidebars_widgets[$sidebar] );
+ 			}
+ 		}
+ 	} else {
+ 		if ( empty( $sidebars_widgets ) )
+ 			return;
+ 
+ 		unset( $sidebars_widgets['array_version'] );
+ 
+ 		$old = array_keys($sidebars_widgets);
+ 		sort($old);
+ 		sort($registered_sidebar_keys);
+ 
+ 		if ( $old == $registered_sidebar_keys )
+ 			return;
+ 
+ 		$_sidebars_widgets = array(
+ 			'wp_inactive_widgets' => !empty( $sidebars_widgets['wp_inactive_widgets'] ) ? $sidebars_widgets['wp_inactive_widgets'] : array()
+ 		);
+ 
+ 		unset( $sidebars_widgets['wp_inactive_widgets'] );
+ 
+ 		foreach ( $wp_registered_sidebars as $id => $settings ) {
+ 			if ( $theme_changed ) {
+ 				$_sidebars_widgets[$id] = array_shift( $sidebars_widgets );
+ 			} else {
+ 				// no theme change, grab only sidebars that are currently registered
+ 				if ( isset( $sidebars_widgets[$id] ) ) {
+ 					$_sidebars_widgets[$id] = $sidebars_widgets[$id];
+ 					unset( $sidebars_widgets[$id] );
+ 				}
+ 			}
+ 		}
+ 
+ 		foreach ( $sidebars_widgets as $val ) {
+ 			if ( is_array($val) && ! empty( $val ) )
+ 				$_sidebars_widgets['orphaned_widgets_' . ++$orphaned] = $val;
+ 		}
+ 	}
+ 
+ 	// discard invalid, theme-specific widgets from sidebars
+ 	$shown_widgets = array();
+ 
+ 	foreach ( $_sidebars_widgets as $sidebar => $widgets ) {
+ 		if ( !is_array($widgets) )
+ 			continue;
+ 
+ 		$_widgets = array();
+ 		foreach ( $widgets as $widget ) {
+ 			if ( isset($wp_registered_widgets[$widget]) )
+ 				$_widgets[] = $widget;
+ 		}
+ 
+ 		$_sidebars_widgets[$sidebar] = $_widgets;
+ 		$shown_widgets = array_merge($shown_widgets, $_widgets);
+ 	}
+ 
+ 	$sidebars_widgets = $_sidebars_widgets;
+ 	unset($_sidebars_widgets, $_widgets);
+ 
+ 	// find hidden/lost multi-widget instances
+ 	$lost_widgets = array();
+ 	foreach ( $wp_registered_widgets as $key => $val ) {
+ 		if ( in_array($key, $shown_widgets, true) )
+ 			continue;
+ 
+ 		$number = preg_replace('/.+?-([0-9]+)$/', '$1', $key);
+ 
+ 		if ( 2 > (int) $number )
+ 			continue;
+ 
+ 		$lost_widgets[] = $key;
+ 	}
+ 
+ 	$sidebars_widgets['wp_inactive_widgets'] = array_merge($lost_widgets, (array) $sidebars_widgets['wp_inactive_widgets']);
+ 	wp_set_sidebars_widgets($sidebars_widgets);
+ 
+ 	return $sidebars_widgets;
+ }
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/wp-db.php ./wordpress-3.3/wp-includes/wp-db.php
*** ./wordpress-3.2.1/wp-includes/wp-db.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/wp-db.php	2011-11-14 18:18:41.000000000 -0600
***************
*** 71,79 ****
  	/**
  	 * The last error during query.
  	 *
- 	 * @see get_last_error()
  	 * @since 2.5.0
- 	 * @access private
  	 * @var string
  	 */
  	var $last_error = '';
--- 71,77 ----
***************
*** 461,466 ****
--- 459,478 ----
  	var $func_call;
  
  	/**
+ 	 * Whether MySQL is used as the database engine.
+ 	 *
+ 	 * Set in WPDB::db_connect() to true, by default. This is used when checking
+ 	 * against the required MySQL version for WordPress. Normally, a replacement
+ 	 * database drop-in (db.php) will skip these checks, but setting this to true
+ 	 * will force the checks to occur.
+ 	 *
+ 	 * @since 3.3.0
+ 	 * @access public
+ 	 * @var bool
+ 	 */
+ 	public $is_mysql = null;
+ 
+ 	/**
  	 * Connects to the database server and selects a database
  	 *
  	 * PHP5 style constructor for compatibility with PHP5. Does
***************
*** 555,560 ****
--- 567,573 ----
  	 * @since 2.5.0
  	 *
  	 * @param string $prefix Alphanumeric name for the new prefix.
+ 	 * @param bool $set_table_names Optional. Whether the table names, e.g. wpdb::$posts, should be updated or not.
  	 * @return string|WP_Error Old prefix or WP_Error on error
  	 */
  	function set_prefix( $prefix, $set_table_names = true ) {
***************
*** 640,646 ****
  	 * Returns an array of WordPress tables.
  	 *
  	 * Also allows for the CUSTOM_USER_TABLE and CUSTOM_USER_META_TABLE to
! 	 * override the WordPress users and usersmeta tables that would otherwise
  	 * be determined by the prefix.
  	 *
  	 * The scope argument can take one of the following:
--- 653,659 ----
  	 * Returns an array of WordPress tables.
  	 *
  	 * Also allows for the CUSTOM_USER_TABLE and CUSTOM_USER_META_TABLE to
! 	 * override the WordPress users and usermeta tables that would otherwise
  	 * be determined by the prefix.
  	 *
  	 * The scope argument can take one of the following:
***************
*** 726,732 ****
  	 * @param resource $dbh Optional link identifier.
  	 * @return null Always null.
  	 */
! 	function select( $db, $dbh = null) {
  		if ( is_null($dbh) )
  			$dbh = $this->dbh;
  
--- 739,745 ----
  	 * @param resource $dbh Optional link identifier.
  	 * @return null Always null.
  	 */
! 	function select( $db, $dbh = null ) {
  		if ( is_null($dbh) )
  			$dbh = $this->dbh;
  
***************
*** 842,855 ****
  	 * Prepares a SQL query for safe execution. Uses sprintf()-like syntax.
  	 *
  	 * The following directives can be used in the query format string:
! 	 *   %d (decimal number)
  	 *   %s (string)
  	 *   %% (literal percentage sign - no argument needed)
  	 *
! 	 * Both %d and %s are to be left unquoted in the query string and they need an argument passed for them.
  	 * Literals (%) as parts of the query must be properly written as %%.
  	 *
! 	 * This function only supports a small subset of the sprintf syntax; it only supports %d (decimal number), %s (string).
  	 * Does not support sign, padding, alignment, width or precision specifiers.
  	 * Does not support argument numbering/swapping.
  	 *
--- 855,869 ----
  	 * Prepares a SQL query for safe execution. Uses sprintf()-like syntax.
  	 *
  	 * The following directives can be used in the query format string:
! 	 *   %d (integer)
! 	 *   %f (float)
  	 *   %s (string)
  	 *   %% (literal percentage sign - no argument needed)
  	 *
! 	 * All of %d, %f, and %s are to be left unquoted in the query string and they need an argument passed for them.
  	 * Literals (%) as parts of the query must be properly written as %%.
  	 *
! 	 * This function only supports a small subset of the sprintf syntax; it only supports %d (integer), %f (float), and %s (string).
  	 * Does not support sign, padding, alignment, width or precision specifiers.
  	 * Does not support argument numbering/swapping.
  	 *
***************
*** 1013,1018 ****
--- 1027,1035 ----
  	 * @since 3.0.0
  	 */
  	function db_connect() {
+ 
+ 		$this->is_mysql = true;
+ 
  		if ( WP_DEBUG ) {
  			$this->dbh = mysql_connect( $this->dbhost, $this->dbuser, $this->dbpassword, true );
  		} else {
***************
*** 1132,1138 ****
  	 * @param string $table table name
  	 * @param array $data Data to insert (in column => value pairs). Both $data columns and $data values should be "raw" (neither should be SQL escaped).
  	 * @param array|string $format Optional. An array of formats to be mapped to each of the value in $data. If string, that format will be used for all of the values in $data.
! 	 * 	A format is one of '%d', '%s' (decimal number, string). If omitted, all values in $data will be treated as strings unless otherwise specified in wpdb::$field_types.
  	 * @return int|false The number of rows inserted, or false on error.
  	 */
  	function insert( $table, $data, $format = null ) {
--- 1149,1155 ----
  	 * @param string $table table name
  	 * @param array $data Data to insert (in column => value pairs). Both $data columns and $data values should be "raw" (neither should be SQL escaped).
  	 * @param array|string $format Optional. An array of formats to be mapped to each of the value in $data. If string, that format will be used for all of the values in $data.
! 	 * 	A format is one of '%d', '%f', '%s' (integer, float, string). If omitted, all values in $data will be treated as strings unless otherwise specified in wpdb::$field_types.
  	 * @return int|false The number of rows inserted, or false on error.
  	 */
  	function insert( $table, $data, $format = null ) {
***************
*** 1155,1161 ****
  	 * @param string $table table name
  	 * @param array $data Data to insert (in column => value pairs). Both $data columns and $data values should be "raw" (neither should be SQL escaped).
  	 * @param array|string $format Optional. An array of formats to be mapped to each of the value in $data. If string, that format will be used for all of the values in $data.
! 	 * 	A format is one of '%d', '%s' (decimal number, string). If omitted, all values in $data will be treated as strings unless otherwise specified in wpdb::$field_types.
  	 * @return int|false The number of rows affected, or false on error.
  	 */
  	function replace( $table, $data, $format = null ) {
--- 1172,1178 ----
  	 * @param string $table table name
  	 * @param array $data Data to insert (in column => value pairs). Both $data columns and $data values should be "raw" (neither should be SQL escaped).
  	 * @param array|string $format Optional. An array of formats to be mapped to each of the value in $data. If string, that format will be used for all of the values in $data.
! 	 * 	A format is one of '%d', '%f', '%s' (integer, float, string). If omitted, all values in $data will be treated as strings unless otherwise specified in wpdb::$field_types.
  	 * @return int|false The number of rows affected, or false on error.
  	 */
  	function replace( $table, $data, $format = null ) {
***************
*** 1176,1182 ****
  	 * @param string $table table name
  	 * @param array $data Data to insert (in column => value pairs).  Both $data columns and $data values should be "raw" (neither should be SQL escaped).
  	 * @param array|string $format Optional. An array of formats to be mapped to each of the value in $data. If string, that format will be used for all of the values in $data.
! 	 * 	A format is one of '%d', '%s' (decimal number, string). If omitted, all values in $data will be treated as strings unless otherwise specified in wpdb::$field_types.
  	 * @return int|false The number of rows affected, or false on error.
  	 */
  	function _insert_replace_helper( $table, $data, $format = null, $type = 'INSERT' ) {
--- 1193,1200 ----
  	 * @param string $table table name
  	 * @param array $data Data to insert (in column => value pairs).  Both $data columns and $data values should be "raw" (neither should be SQL escaped).
  	 * @param array|string $format Optional. An array of formats to be mapped to each of the value in $data. If string, that format will be used for all of the values in $data.
! 	 * 	A format is one of '%d', '%f', '%s' (integer, float, string). If omitted, all values in $data will be treated as strings unless otherwise specified in wpdb::$field_types.
! 	 * @param string $type Optional. What type of operation is this? INSERT or REPLACE. Defaults to INSERT.
  	 * @return int|false The number of rows affected, or false on error.
  	 */
  	function _insert_replace_helper( $table, $data, $format = null, $type = 'INSERT' ) {
***************
*** 1215,1222 ****
  	 * @param array $data Data to update (in column => value pairs). Both $data columns and $data values should be "raw" (neither should be SQL escaped).
  	 * @param array $where A named array of WHERE clauses (in column => value pairs). Multiple clauses will be joined with ANDs. Both $where columns and $where values should be "raw".
  	 * @param array|string $format Optional. An array of formats to be mapped to each of the values in $data. If string, that format will be used for all of the values in $data.
! 	 * 	A format is one of '%d', '%s' (decimal number, string). If omitted, all values in $data will be treated as strings unless otherwise specified in wpdb::$field_types.
! 	 * @param array|string $format_where Optional. An array of formats to be mapped to each of the values in $where. If string, that format will be used for all of the items in $where.  A format is one of '%d', '%s' (decimal number, string).  If omitted, all values in $where will be treated as strings.
  	 * @return int|false The number of rows updated, or false on error.
  	 */
  	function update( $table, $data, $where, $format = null, $where_format = null ) {
--- 1233,1240 ----
  	 * @param array $data Data to update (in column => value pairs). Both $data columns and $data values should be "raw" (neither should be SQL escaped).
  	 * @param array $where A named array of WHERE clauses (in column => value pairs). Multiple clauses will be joined with ANDs. Both $where columns and $where values should be "raw".
  	 * @param array|string $format Optional. An array of formats to be mapped to each of the values in $data. If string, that format will be used for all of the values in $data.
! 	 * 	A format is one of '%d', '%f', '%s' (integer, float, string). If omitted, all values in $data will be treated as strings unless otherwise specified in wpdb::$field_types.
! 	 * @param array|string $where_format Optional. An array of formats to be mapped to each of the values in $where. If string, that format will be used for all of the items in $where.  A format is one of '%d', '%f', '%s' (integer, float, string).  If omitted, all values in $where will be treated as strings.
  	 * @return int|false The number of rows updated, or false on error.
  	 */
  	function update( $table, $data, $where, $format = null, $where_format = null ) {
***************
*** 1289,1295 ****
  	 * @param string $output Optional. one of ARRAY_A | ARRAY_N | OBJECT constants. Return an associative array (column => value, ...),
  	 * 	a numerically indexed array (0 => value, ...) or an object ( ->column = value ), respectively.
  	 * @param int $y Optional. Row to return. Indexed from 0.
! 	 * @return mixed Database query result in format specifed by $output or null on failure
  	 */
  	function get_row( $query = null, $output = OBJECT, $y = 0 ) {
  		$this->func_call = "\$db->get_row(\"$query\",$output,$y)";
--- 1307,1313 ----
  	 * @param string $output Optional. one of ARRAY_A | ARRAY_N | OBJECT constants. Return an associative array (column => value, ...),
  	 * 	a numerically indexed array (0 => value, ...) or an object ( ->column = value ), respectively.
  	 * @param int $y Optional. Row to return. Indexed from 0.
! 	 * @return mixed Database query result in format specified by $output or null on failure
  	 */
  	function get_row( $query = null, $output = OBJECT, $y = 0 ) {
  		$this->func_call = "\$db->get_row(\"$query\",$output,$y)";
***************
*** 1366,1372 ****
  			// Return an array of row objects with keys from column 1
  			// (Duplicates are discarded)
  			foreach ( $this->last_result as $row ) {
! 				$key = array_shift( get_object_vars( $row ) );
  				if ( ! isset( $new_array[ $key ] ) )
  					$new_array[ $key ] = $row;
  			}
--- 1384,1391 ----
  			// Return an array of row objects with keys from column 1
  			// (Duplicates are discarded)
  			foreach ( $this->last_result as $row ) {
! 				$var_by_ref = get_object_vars( $row );
! 				$key = array_shift( $var_by_ref );
  				if ( ! isset( $new_array[ $key ] ) )
  					$new_array[ $key ] = $row;
  			}
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-load.php ./wordpress-3.3/wp-load.php
*** ./wordpress-3.2.1/wp-load.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-load.php	2011-11-15 09:47:07.000000000 -0600
***************
*** 53,59 ****
  	require_once( ABSPATH . '/wp-includes/functions.php' );
  	require_once( ABSPATH . '/wp-includes/plugin.php' );
  	$text_direction = /*WP_I18N_TEXT_DIRECTION*/'ltr'/*/WP_I18N_TEXT_DIRECTION*/;
! 	wp_die(sprintf(/*WP_I18N_NO_CONFIG*/"There doesn't seem to be a <code>wp-config.php</code> file. I need this before we can get started. Need more help? <a href='http://codex.wordpress.org/Editing_wp-config.php'>We got it</a>. You can create a <code>wp-config.php</code> file through a web interface, but this doesn't work for all server setups. The safest way is to manually create the file.</p><p><a href='%ssetup-config.php' class='button'>Create a Configuration File</a>"/*/WP_I18N_NO_CONFIG*/, $path), /*WP_I18N_ERROR_TITLE*/'WordPress &rsaquo; Error'/*/WP_I18N_ERROR_TITLE*/, array('text_direction' => $text_direction));
  
  }
  
--- 53,59 ----
  	require_once( ABSPATH . '/wp-includes/functions.php' );
  	require_once( ABSPATH . '/wp-includes/plugin.php' );
  	$text_direction = /*WP_I18N_TEXT_DIRECTION*/'ltr'/*/WP_I18N_TEXT_DIRECTION*/;
! 	wp_die(sprintf(/*WP_I18N_NO_CONFIG*/"<p>There doesn't seem to be a <code>wp-config.php</code> file. I need this before we can get started.</p> <p>Need more help? <a href='http://codex.wordpress.org/Editing_wp-config.php'>We got it</a>.</p> <p>You can create a <code>wp-config.php</code> file through a web interface, but this doesn't work for all server setups. The safest way is to manually create the file.</p><p><a href='%ssetup-config.php' class='button'>Create a Configuration File</a></p>"/*/WP_I18N_NO_CONFIG*/, $path), /*WP_I18N_ERROR_TITLE*/'WordPress &rsaquo; Error'/*/WP_I18N_ERROR_TITLE*/, array('text_direction' => $text_direction));
  
  }
  
